From 9314b9f7e90f0f41df645112e0a173559d1df69c Mon Sep 17 00:00:00 2001
From: Arno Schoenmakers <schoenmakers@astron.nl>
Date: Wed, 11 Jan 2017 15:44:03 +0000
Subject: [PATCH] TAsk #10262: Removing CEP2 related SubSystems

---
 .gitattributes                                |  7 -----
 SubSystems/LAPS_CEP/CMakeLists.txt            |  8 -----
 SubSystems/LAPS_CEP/test/CMakeLists.txt       | 27 ----------------
 .../LAPS_CEP/test/startPythonFromMsg.py       | 31 -------------------
 .../LAPS_CEP/test/startPythonFromMsg.run      | 20 ------------
 .../LAPS_CEP/test/startPythonFromMsg.sh       |  3 --
 SubSystems/LAPS_CEP/test/tBasicQueueTest.run  |  7 -----
 SubSystems/LAPS_CEP/test/tBasicQueueTest.sh   |  3 --
 SubSystems/LAPS_CEP/test/tExampleTest.run     |  5 ---
 SubSystems/LAPS_CEP/test/tExampleTest.sh      |  3 --
 SubSystems/LAPS_CEP/test/testFuncs.sh.in      | 21 -------------
 11 files changed, 135 deletions(-)
 delete mode 100644 SubSystems/LAPS_CEP/CMakeLists.txt
 delete mode 100644 SubSystems/LAPS_CEP/test/CMakeLists.txt
 delete mode 100644 SubSystems/LAPS_CEP/test/startPythonFromMsg.py
 delete mode 100755 SubSystems/LAPS_CEP/test/startPythonFromMsg.run
 delete mode 100755 SubSystems/LAPS_CEP/test/startPythonFromMsg.sh
 delete mode 100755 SubSystems/LAPS_CEP/test/tBasicQueueTest.run
 delete mode 100755 SubSystems/LAPS_CEP/test/tBasicQueueTest.sh
 delete mode 100755 SubSystems/LAPS_CEP/test/tExampleTest.run
 delete mode 100755 SubSystems/LAPS_CEP/test/tExampleTest.sh
 delete mode 100644 SubSystems/LAPS_CEP/test/testFuncs.sh.in

diff --git a/.gitattributes b/.gitattributes
index 0047d49ba03..2a651908c47 100644
--- a/.gitattributes
+++ b/.gitattributes
@@ -5842,13 +5842,6 @@ SubSystems/Dragnet/scripts/casacore-measures-tables/apply_casacore_measures_data
 SubSystems/Dragnet/scripts/casacore-measures-tables/casacore_measures_common.sh eol=lf
 SubSystems/Dragnet/scripts/casacore-measures-tables/cron-update-IERS-DRAGNET.sh eol=lf
 SubSystems/Dragnet/scripts/casacore-measures-tables/get_casacore_measures_data.sh eol=lf
-SubSystems/LAPS_CEP/test/startPythonFromMsg.py eol=lf
-SubSystems/LAPS_CEP/test/startPythonFromMsg.run eol=lf
-SubSystems/LAPS_CEP/test/startPythonFromMsg.sh eol=lf
-SubSystems/LAPS_CEP/test/tBasicQueueTest.run eol=lf
-SubSystems/LAPS_CEP/test/tBasicQueueTest.sh eol=lf
-SubSystems/LAPS_CEP/test/tExampleTest.run eol=lf
-SubSystems/LAPS_CEP/test/tExampleTest.sh eol=lf
 SubSystems/LTAIngest/CMakeLists.txt -text
 SubSystems/Online_Cobalt/install/init.d-qpidd.sh eol=lf
 SubSystems/Online_Cobalt/install/install_DAL.sh eol=lf
diff --git a/SubSystems/LAPS_CEP/CMakeLists.txt b/SubSystems/LAPS_CEP/CMakeLists.txt
deleted file mode 100644
index 443af35e007..00000000000
--- a/SubSystems/LAPS_CEP/CMakeLists.txt
+++ /dev/null
@@ -1,8 +0,0 @@
-# $Id$
-
-# Online_OutputProc is needed for tests on cbt nodes
-# APLCommon is needed for the `swlevel' script
-# PVSSGateway_Stub and Service_Broker are needed for the tRTmetadataToFile test
-lofar_package(LAPS_CEP DEPENDS Offline LAPS)
-
-add_subdirectory(test)
diff --git a/SubSystems/LAPS_CEP/test/CMakeLists.txt b/SubSystems/LAPS_CEP/test/CMakeLists.txt
deleted file mode 100644
index 339d95cad93..00000000000
--- a/SubSystems/LAPS_CEP/test/CMakeLists.txt
+++ /dev/null
@@ -1,27 +0,0 @@
-# $Id$
-
-include(LofarCTest)
-
-foreach(_file testFuncs )
-  configure_file(
-    ${CMAKE_CURRENT_SOURCE_DIR}/${_file}.sh.in
-    ${CMAKE_CURRENT_BINARY_DIR}/${_file}.sh @ONLY)
-endforeach()
-
-lofar_add_test(tExampleTest)
-lofar_add_test(tBasicQueueTest)
-lofar_add_test(startPythonFromMsg)
-
-# set(_tests
-  # tgenerateStationStreams
-  # tMACfeedback
-  # tProductionParsets
-  # tstartBGL
-# )
-
-# foreach(_test ${_tests})
-  # lofar_add_test(${_test})
-  # if(BUILD_TESTING)
-  #   set_tests_properties(${_test} PROPERTIES RUN_SERIAL ON)
-  # endif(BUILD_TESTING)
-# endforeach(_test ${_tests})
\ No newline at end of file
diff --git a/SubSystems/LAPS_CEP/test/startPythonFromMsg.py b/SubSystems/LAPS_CEP/test/startPythonFromMsg.py
deleted file mode 100644
index 2b496ec6253..00000000000
--- a/SubSystems/LAPS_CEP/test/startPythonFromMsg.py
+++ /dev/null
@@ -1,31 +0,0 @@
-#!/usr/bin/python
-import sys
-from LAPS.MsgBus.Bus import Bus
-
-# Create queue with a unique name
-
-# insert message
-
-# receive msg
-
-# delete queue
-
-
-if __name__ == "__main__":
-    #   If invoked directly, parse command line arguments for logger information
-    #                        and pass the rest to the run() method defined above
-    # --------------------------------------------------------------------------
-    try:
-        unique_queue_name = sys.argv[1]
-    except:
-        print "Not enough command line arguments: this test needs a unique queue name"
-        exit(1)
-
-
-    #msgbus = Bus(broker="lhd002", address=unique_queue_name)
-
-    #parset = """
-#key=value
-#"""
-
-    #msgbus.send(parset,"Observation123456")
\ No newline at end of file
diff --git a/SubSystems/LAPS_CEP/test/startPythonFromMsg.run b/SubSystems/LAPS_CEP/test/startPythonFromMsg.run
deleted file mode 100755
index 3171a0d78c5..00000000000
--- a/SubSystems/LAPS_CEP/test/startPythonFromMsg.run
+++ /dev/null
@@ -1,20 +0,0 @@
-#!/bin/sh
-
-#add correct path for laps python files
-#**WORKAROUND** for incorrect path setting in testframework code
-# For standalone unittest the path should only contain the code to be tested and
-# the testframework containing fake externals
-
-#run the actual python script performing the tests
-# Run all test collected in the current directory (including possible self tests!)
-
-#PYTHONPATH=${srcdir}/test_framework/fixture:${PYTHONPATH}
-#export PYTHONPATH
-
-python startPythonFromMsg.py alksdjfhlskdajfh
-
-if [ $? -ne 0 ]; then
-  exit 1
-else
-  exit 0
-fi
diff --git a/SubSystems/LAPS_CEP/test/startPythonFromMsg.sh b/SubSystems/LAPS_CEP/test/startPythonFromMsg.sh
deleted file mode 100755
index 22288118dce..00000000000
--- a/SubSystems/LAPS_CEP/test/startPythonFromMsg.sh
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-
-./runctest.sh startPythonFromMsg
diff --git a/SubSystems/LAPS_CEP/test/tBasicQueueTest.run b/SubSystems/LAPS_CEP/test/tBasicQueueTest.run
deleted file mode 100755
index 036a46ccc1a..00000000000
--- a/SubSystems/LAPS_CEP/test/tBasicQueueTest.run
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/bin/bash
-
-. ./testFuncs.sh
-
-listqueues.sh
-
-
diff --git a/SubSystems/LAPS_CEP/test/tBasicQueueTest.sh b/SubSystems/LAPS_CEP/test/tBasicQueueTest.sh
deleted file mode 100755
index 7edea0036de..00000000000
--- a/SubSystems/LAPS_CEP/test/tBasicQueueTest.sh
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-
-./runctest.sh tBasicQueueTest
diff --git a/SubSystems/LAPS_CEP/test/tExampleTest.run b/SubSystems/LAPS_CEP/test/tExampleTest.run
deleted file mode 100755
index 0cf95e1db70..00000000000
--- a/SubSystems/LAPS_CEP/test/tExampleTest.run
+++ /dev/null
@@ -1,5 +0,0 @@
-#!/bin/bash
-
-. ./testFuncs.sh
-
-exit 0
diff --git a/SubSystems/LAPS_CEP/test/tExampleTest.sh b/SubSystems/LAPS_CEP/test/tExampleTest.sh
deleted file mode 100755
index bec915ac634..00000000000
--- a/SubSystems/LAPS_CEP/test/tExampleTest.sh
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-
-./runctest.sh tExampleTest
diff --git a/SubSystems/LAPS_CEP/test/testFuncs.sh.in b/SubSystems/LAPS_CEP/test/testFuncs.sh.in
deleted file mode 100644
index 82164a25d15..00000000000
--- a/SubSystems/LAPS_CEP/test/testFuncs.sh.in
+++ /dev/null
@@ -1,21 +0,0 @@
-# Bash functions used by the different GPU tests.
-#
-# This file must be source'd, not executed!
-#
-# $Id: testFuncs.sh.in 29617 2014-06-23 08:08:41Z mol $
-
-error()
-{
-  echo "ERROR: $@" >&2
-  exit 1
-}
-
-# Set LOFARROOT and other LOFAR env vars into install directory (var is always set).
-. "@CMAKE_INSTALL_PREFIX@/lofarinit.sh" || error "Could not load our lofarinit.sh -- did you run 'make install'?"
-
-# Create runtime output directories if not exists.
-# Not done at build, because it is a post-install setting. Different in production.
-mkdir -p "$LOFARROOT/var/log" "$LOFARROOT/var/run" || error "Failed to create runtime output directories"
-
-# Set all locales to "C" to avoid problems with, e.g., perl.
-export LC_ALL="C"
-- 
GitLab